SASL_VERIFYFILE_T(3)

NAME
sasl_verifyfile_t - Cyrus SASL documentation

SYNOPSIS

#include <sasl/sasl.h>
typedef enum {
    SASL_VRFY_PLUGIN, /* a DLL/shared library plugin */
    SASL_VRFY_CONF,   /* a configuration file */
    SASL_VRFY_PASSWD, /* a password storage file */
    SASL_VRFY_OTHER   /* some other file type */
} sasl_verify_type_t
int sasl_verifyfile_t(void *context,
                const char *file,
                sasl_verify_type_t type)

DESCRIPTION

int sasl_verifyfile_t(void *context,

const char *file,

sasl_verify_type_t type)
    sasl_verifyfile_t() is used to check whether a given file is okay for use by the SASL library. This is intended to allow applications to sanity check the environment. For example, to ensure that plugins or the config file cannot be written to.

Parameters

•   context – context from the callback record

•   context – context from the callback record

•   file – full path of the file to verify

•   type – type of the file.

RETURN VALUE

SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

Other return codes indicate errors and should be handled.

SEE ALSO

RFC 4422,:saslman:sasl(3), sasl_callbacks(3) sasl_errors(3)

AUTHOR
The Cyrus Team

COPYRIGHT
1993-2016, The Cyrus Team